summaryrefslogtreecommitdiff
path: root/dev/ci/appveyor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dev/ci/appveyor.sh')
-rw-r--r--dev/ci/appveyor.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/dev/ci/appveyor.sh b/dev/ci/appveyor.sh
new file mode 100644
index 00000000..8f53877f
--- /dev/null
+++ b/dev/ci/appveyor.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e -x
+
+APPVEYOR_OPAM_SWITCH=4.07.0+mingw64c
+
+wget https://github.com/fdopen/opam-repository-mingw/releases/download/0.0.0.1/opam64.tar.xz
+tar -xf opam64.tar.xz
+bash opam64/install.sh
+
+opam init -a mingw https://github.com/fdopen/opam-repository-mingw.git --comp $APPVEYOR_OPAM_SWITCH --switch $APPVEYOR_OPAM_SWITCH
+eval "$(opam config env)"
+opam install -y num ocamlfind camlp5
+
+cd "$APPVEYOR_BUILD_FOLDER" && ./configure -local && make && make byte && make -C test-suite all INTERACTIVE= && make validate